| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
ADT
ADT.struct

Methods
add_data()
contents()
create()
get_bignum()
get_fix_string()
get_fix_uint_array()
get_rest()
get_uint()
get_var_string()
get_var_uint_array()
is_empty()
pop_data()
put_bignum()
put_fix_string()
put_fix_uint_array()
put_uint()
put_var_string()
put_var_uint_array()

ADT.struct | ADT.struct()->contents()

# Method ADT.struct()->add_data()

Method add_data

  `void add_data(string s)`

Description

  Adds the data s verbatim to the end of the buffer.